## chromium 109.0.5414.74

=== debian/changelog ===
chromium (109.0.5414.74-2~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * d/patches/bullseye/clang13.patch: don't use -gsimple-template-names in
    clang arguments, as it doesn't work with clang-13.

  [ Timothy Pearson ]
  * Fix crashes in dav1d during video playback on ppc64le
  * d/patches:
    - Apply upstream dav1d ppc64le fix from videolan merge request #1464

 -- Andres Salomon <dilinger@debian.org>  Thu, 12 Jan 2023 18:23:51 -0500

chromium (109.0.5414.74-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2023-0128: Use after free in Overview Mode. Reported by Khalil Zhani.
    - CVE-2023-0129: Heap buffer overflow in Network Service.
      Reported by asnine.
    - CVE-2023-0130: Inappropriate implementation in Fullscreen API.
      Reported by Hafiizh.
    - CVE-2023-0131: Inappropriate implementation in iframe Sandbox.
      Reported by NDevTK.
    - CVE-2023-0132: Inappropriate implementation in Permission prompts.
      Reported by Jasper Rebane (popstonia).
    - CVE-2023-0133: Inappropriate implementation in Permission prompts.
      Reported by Alesandro Ortiz.
    - CVE-2023-0134: Use after free in Cart.
      Reported by Chaoyuan Peng (@ret2happy).
    - CVE-2023-0135: Use after free in Cart.
      Reported by Chaoyuan Peng (@ret2happy).
    - CVE-2023-0136: Inappropriate implementation in Fullscreen API.
      Reported by Axel Chong.
    - CVE-2023-0137: Heap buffer overflow in Platform Apps.
      Reported by avaue and Buff3tts at S.S.L..
    - CVE-2023-0138: Heap buffer overflow in libphonenumber.
      Reported by Michael Dau.
    - CVE-2023-0139: Insufficient validation of untrusted input in Downloads.
      Reported by Axel Chong.
    - CVE-2023-0140: Inappropriate implementation in File System API.
      Reported by harrison.mitchell, cybercx.com.au.
    - CVE-2023-0141: Insufficient policy enforcement in CORS.
      Reported by scarlet.
  * d/patches:
    - upstream/re-fix-tflite.patch: drop, merged upstream.
    - disable/catapult.patch: refresh
    - disable/angle-perftests.patch: refresh

  [ Timothy Pearson ]
  *  d/patches:
    - Regenerate ppc64le configuration files from source
    - Fix register corruption in v8 on ppc64 systems

 -- Andres Salomon <dilinger@debian.org>  Thu, 12 Jan 2023 13:01:02 -0500

chromium (108.0.5359.124-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-4436: Use after free in Blink Media.
      Reported by Anonymous on 2022-11-15
    - CVE-2022-4437: Use after free in Mojo IPC.
      Reported by koocola(@alo_cook) and Guang Gong of 360 Vulnerability
      Research Institute on 2022-11-30
    - CVE-2022-4438: Use after free in Blink Frames.
      Reported by Anonymous on 2022-11-07
    - CVE-2022-4439: Use after free in Aura.
      Reported by Anonymous on 2022-11-22
    - CVE-2022-4440: Use after free in Profiles.
      Reported by Anonymous on 2022-11-09

  [ Andres Salomon ]
  * Drop fixes/disable-cxx20.patch; turned out to be a clang-14 bug
    (https://bugs.debian.org/1025394) causing the issue that is now fixed.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 13 Dec 2022 19:10:00 -0600
