## chromium 109.0.5414.119

=== debian/changelog ===
chromium (1:109.0.5414.119-1revyos2) unstable; urgency=medium

  * Add vpu decoder
  * force rtc_use_h264=true
  * Add libopenh264-dev

 -- Han Gao <gaohan@iscas.ac.cn>  Wed, 22 Nov 2023 22:52:15 +0800

chromium (109.0.5414.119-1revyos1) unstable; urgency=medium

  [ Eric Long ]
  * Build for riscv64

 -- Han Gao <gaohan@iscas.ac.cn>  Wed, 07 Jun 2023 17:56:47 +0800

chromium (109.0.5414.119-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2023-0471: Use after free in WebTransport.
      Reported by chichoo Kim(chichoo) and Cassidy Kim(@cassidy6564).
    - CVE-2023-0472: Use after free in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0473: Type Confusion in ServiceWorker API.
      Reported by raven at KunLun lab.
    - CVE-2023-0474: Use after free in GuestView. Reported by avaue at S.S.L.
  * Re-enable v4l2 for arm platforms (closes: #1011346).

 -- Andres Salomon <dilinger@debian.org>  Wed, 25 Jan 2023 01:19:49 -0500

chromium (109.0.5414.74-2) unstable; urgency=high

  [ Andres Salomon ]
  * d/patches/bullseye/clang13.patch: don't use -gsimple-template-names in
    clang arguments, as it doesn't work with clang-13.

  [ Timothy Pearson ]
  * Fix crashes in dav1d during video playback on ppc64le
  * d/patches:
    - Apply upstream dav1d ppc64le fix from videolan merge request #1464

 -- Andres Salomon <dilinger@debian.org>  Thu, 12 Jan 2023 18:23:51 -0500

chromium (108.0.5359.124-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2022-4436: Use after free in Blink Media.
      Reported by Anonymous on 2022-11-15
    - CVE-2022-4437: Use after free in Mojo IPC.
      Reported by koocola(@alo_cook) and Guang Gong of 360 Vulnerability
      Research Institute on 2022-11-30
    - CVE-2022-4438: Use after free in Blink Frames.
      Reported by Anonymous on 2022-11-07
    - CVE-2022-4439: Use after free in Aura.
      Reported by Anonymous on 2022-11-22
    - CVE-2022-4440: Use after free in Profiles.
      Reported by Anonymous on 2022-11-09

  [ Andres Salomon ]
  * Drop fixes/disable-cxx20.patch; turned out to be a clang-14 bug
    (https://bugs.debian.org/1025394) causing the issue that is now fixed.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 13 Dec 2022 19:10:00 -0600

chromium (108.0.5359.94-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2022-4262: Type Confusion in V8.
      Reported by Clement Lecigne of Google's Threat Analysis Group.
  * Drop bullseye/mulodic.patch from unstable, it's too difficult to get this
    right between the two distributions. It'll live in the bullseye branch only.

 -- Andres Salomon <dilinger@debian.org>  Sat, 03 Dec 2022 13:29:49 -0500

chromium (108.0.5359.71-2) unstable; urgency=high

  * Fix bullseye/mulodic.patch to actually work right on 32-bit platforms.
    Again.

  [ Timothy Pearson ]
  * Regenerate libaom configuration for ppc64el

 -- Andres Salomon <dilinger@debian.org>  Fri, 02 Dec 2022 15:03:21 -0500

chromium (107.0.5304.121-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2022-4135: Heap buffer overflow in GPU. Reported by Clement Lecigne
      of Google's Threat Analysis Group on 2022-11-22

 -- Timothy Pearson <tpearson@raptorengineering.com>  Sat, 26 Nov 2022 12:34:00 -0600
