=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 # compile with clang (gcc is currently not supported)
 export AR=ar
 export NM=nm
-export CC=clang-15
-export CXX=clang++-15
+export CC=clang
+export CXX=clang++
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
@@ -59,7 +59,6 @@
 defines+=is_debug=false \
          use_goma=false \
          use_sysroot=false \
-         use_allocator=\"none\" \
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
          use_gnome_keyring=false \
