## chromium 111.0.5563.64

=== debian/changelog ===
chromium (111.0.5563.64-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2023-1213: Use after free in Swiftshader.
      Reported by Jaehun Jeong(@n3sk) of Theori.
    - CVE-2023-1214: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2023-1215: Type Confusion in CSS. Reported by Anonymous.
    - CVE-2023-1216: Use after free in DevTools.
      Reported by Ganjiang Zhou(@refrain_areu) of ChaMd5-H1 team.
    - CVE-2023-1217: Stack buffer overflow in Crash reporting.
      Reported by sunburst of Ant Group Tianqiong Security Lab.
    - CVE-2023-1218: Use after free in WebRTC. Reported by Anonymous.
    - CVE-2023-1219: Heap buffer overflow in Metrics.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-1220: Heap buffer overflow in UMA.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-1221: Insufficient policy enforcement in Extensions API.
      Reported by Ahmed ElMasry.
    - CVE-2023-1222: Heap buffer overflow in Web Audio API.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-1223: Insufficient policy enforcement in Autofill.
      Reported by Ahmed ElMasry.
    - CVE-2023-1224: Insufficient policy enforcement in Web Payments API.
      Reported by Thomas Orlita.
    - CVE-2023-1225: Insufficient policy enforcement in Navigation.
      Reported by Roberto Ffrench-Davis @Lihaft.
    - CVE-2023-1226: Insufficient policy enforcement in Web Payments API.
      Reported by Anonymous.
    - CVE-2023-1227: Use after free in Core. Reported by @ginggilBesel.
    - CVE-2023-1228: Insufficient policy enforcement in Intents.
      Reported by Axel Chong.
    - CVE-2023-1229: Inappropriate implementation in Permission prompts.
      Reported by Thomas Orlita.
    - CVE-2023-1230: Inappropriate implementation in WebApp Installs.
      Reported by Axel Chong.
    - CVE-2023-1231: Inappropriate implementation in Autofill.
      Reported by Yan Zhu, Brave.
    - CVE-2023-1232: Insufficient policy enforcement in Resource Timing.
      Reported by Sohom Datta.
    - CVE-2023-1233: Insufficient policy enforcement in Resource Timing.
      Reported by Soroush Karami.
    - CVE-2023-1234: Inappropriate implementation in Intents.
      Reported by Axel Chong.
    - CVE-2023-1235: Type Confusion in DevTools.
      Reported by raven at KunLun lab.
    - CVE-2023-1236: Inappropriate implementation in Internals.
      Reported by Alesandro Ortiz.
  * Document upcoming security support in README.Debian.security.
  * Document switching the default search engine in README.debian.
  * d/patches:
    - upstream/clamp.patch: drop, merged upstream.
    - upstream/pwman-const.patch: drop, merged upstream.
    - upstream/move-stack-to-isolate.patch: drop, merged upstream.
    - upstream/blink-dbl-float.patch: drop, merged upstream.
    - upstream/v4l2-fix.patch: drop, merged upstream.
    - disable/catapult.patch: refresh & remove unnecessary android bits.
    - disable/google-api-warning.patch: refresh.
    - bullseye/mulodic.patch: add missing import.

  [ Timothy Pearson ]
   * d/patches:
    - ppc64le/third_party/0005-third_party-dav1d-crash-fix.patch: drop,
          merged upstream
    - ppc64le/workarounds/HACK-debian-clang-disable-skia-musttail.patch:
          skia musttail is back in upstream, disable on ppc64le due to
          contining Clang bugs
    - ppc64le: refresh libaom configuration

 -- Andres Salomon <dilinger@debian.org>  Tue, 07 Mar 2023 18:12:37 -0500

chromium (110.0.5481.177-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-0941: Use after free in Prompts. Reported by Anonymous.
    - CVE-2023-0927: Use after free in Web Payments API.
      Reported by Rong Jian of VRI.
    - CVE-2023-0928: Use after free in SwiftShader. Reported by Anonymous.
    - CVE-2023-0929: Use after free in Vulkan.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0930: Heap buffer overflow in Video.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0931: Use after free in Video.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0932: Use after free in WebRTC.
      Reported by Omri Bushari (Talon Cyber Security).
    - CVE-2023-0933: Integer overflow in PDF. Reported by
      Zhiyi Zhang from Codesafe Team of Legendsec at QI-ANXIN Group.
  * d/patches/bullseye/mulodic.patch: add another workaround for clang-13
    failure in v8.

 -- Andres Salomon <dilinger@debian.org>  Wed, 22 Feb 2023 16:11:07 -0500

chromium (110.0.5481.77-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2023-0696: Type Confusion in V8.
      Reported by Haein Lee at KAIST Hacking Lab.
    - CVE-2023-0697: Inappropriate implementation in Full screen mode.
      Reported by Ahmed ElMasry.
    - CVE-2023-0698: Out of bounds read in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0699: Use after free in GPU.
      Reported by 7o8v and Cassidy Kim(@cassidy6564).
    - CVE-2023-0700: Inappropriate implementation in Download.
      Reported by Axel Chong.
    - CVE-2023-0701: Heap buffer overflow in WebUI.
      Reported by Sumin Hwang of SSD Labs.
    - CVE-2023-0702: Type Confusion in Data Transfer. Reported by Sri.
    - CVE-2023-0703: Type Confusion in DevTools.
      Reported by raven at KunLun lab.
    - CVE-2023-0704: Insufficient policy enforcement in DevTools.
      Reported by Rhys Elsmore and Zac Sims of the Canva security team.
    - CVE-2023-0705: Integer overflow in Core.
      Reported by SorryMybad (@S0rryMybad) of Kunlun Lab.
  * d/copyright: libpng16 binaries are gone, no longer need to exclude them.
  * d/scripts/unbundle: drop libjxl, which is dropped upstream. Add absl_log*.
  * d/patches:
    - debianization/optimization.patch: drop. This is unnecessary, as
      Debian's optimization flags override Chromium's by default.

