=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  debhelper (>= 11),
  devscripts,
  lld,
- clang-15,
- clang-format-15,
+ clang,
+ clang-format,
  python3,
  pkg-config,
  ninja-build,
@@ -33,7 +33,7 @@
  bison,
  brotli,
  nodejs,
- valgrind [!riscv64],
+ valgrind,
  xz-utils,
  x11-apps,
  xcb-proto,
@@ -96,11 +96,9 @@
  libcurl4-openssl-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
- libomxil-bellagio-dev,
- libopenh264-dev,
 
 Package: chromium
-Architecture: i386 amd64 arm64 armhf riscv64
+Architecture: i386 amd64 arm64 armhf ppc64el
 Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
@@ -145,7 +143,7 @@
  ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW
 
 Package: chromium-shell
-Architecture: i386 amd64 arm64 armhf riscv64
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -162,7 +160,7 @@
  (the content shell).
 
 Package: chromium-driver
-Architecture: i386 amd64 arm64 armhf riscv64
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -175,7 +173,7 @@
  automatic webdriver.
 
 Package: chromium-common
-Architecture: i386 amd64 arm64 armhf riscv64
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -201,7 +199,7 @@
  packages.
 
 Package: chromium-sandbox
-Architecture: i386 amd64 arm64 armhf riscv64
+Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
