=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # compile with clang (gcc is currently not supported)
 export AR=ar
 export NM=nm
-export CC=clang
-export CXX=clang++
+export CC=clang-13
+export CXX=clang++-13
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
@@ -48,15 +48,17 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (i386,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x86\" use_vaapi=true
+# temporarily disabled due to FTBFS with v112
+defines+=use_v8_context_snapshot=false
 endif
 ifeq (amd64,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x64\" use_vaapi=true
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
+defines+=host_cpu=\"arm64\" use_vaapi=true
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=false
+defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=false
 endif
 
 # disabled features
@@ -78,7 +80,6 @@
          enable_hangout_services_extension=false \
          angle_has_histograms=false \
          build_angle_perftests=false \
-         enable_js_type_check=false \
          treat_warnings_as_errors=false \
          use_qt=false \
          is_cfi=false \
