## chromium 112.0.5615.121

=== debian/changelog ===
chromium (112.0.5615.121-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-2033: Type Confusion in V8.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
  * Build-dep on rollup.
  * Delete the bundled acorn & rollup node modules, and build using the
    debian packaged version of those and other modules.
  * Drop d/patches/bullseye/downgrade-rollup.patch, since we're now using
    bullseye's rollup.
  * Add d/patches/bullseye/disable-mojo-ipcz.patch to fix i386 issue
    (closes: #1034406).
  * (Re-)enable optimize_webui.
  * Add d/patches/upstream/protobuf.patch to fix FTBFS due to race.

 -- Andres Salomon <dilinger@debian.org>  Sat, 15 Apr 2023 03:20:13 -0400
