## chromium 112.0.5615.138

=== debian/changelog ===
chromium (112.0.5615.138-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-2133: Out of bounds memory access in Service Worker API.
      Reported by Rong Jian of VRI.
    - CVE-2023-2134: Out of bounds memory access in Service Worker API.
      Reported by Rong Jian of VRI.
    - CVE-2023-2135: Use after free in DevTools.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-2136: Integer overflow in Skia.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2023-2137: Heap buffer overflow in sqlite.
      Reported by Nan Wang(@eternalsakura13) and Guang Gong of 360 Vulnerability Research Institute
  * d/patches:
    - upstream/protobuf.patch: drop, merged upstream.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 18 Apr 2023 22:00:00 -0500
