=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Debian Chromium Team <chromium@packages.debian.org>
-Uploaders:
+Uploaders: Michael Gilbert <mgilbert@debian.org>,
+ Riku Voipio <riku.voipio@linaro.org>,
  Andres Salomon <dilinger@debian.org>,
  Michel Le Bihan <michel@lebihan.pl>,
  Timothy Pearson <tpearson@raptorengineering.com>
@@ -14,9 +15,9 @@
 Build-Depends:
  debhelper (>= 11),
  devscripts,
- lld,
- clang,
- clang-format,
+ lld-13,
+ clang-13,
+ clang-format-13,
  python3,
  pkg-config,
  ninja-build,
@@ -33,6 +34,7 @@
  bison,
  brotli,
  nodejs,
+ rollup,
  valgrind,
  xz-utils,
  x11-apps,
